Package org.picocontainer

# Interface ObjectReference<T>

All Known Implementing Classes:
  `SimpleReference`, `ThreadLocalMapObjectReference`, `ThreadLocalReference`

public interface ObjectReference<T>
A way to refer to objects that are stored in "awkward" places (for example inside a `HttpSession` or `ThreadLocal`).

This interface is typically implemented by someone integrating Pico into an existing container.

Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`
Retrieve an actual reference to the object.
`void`
`set(T item)`
Assign an object to the reference.

## Method Details

### get

T get()
Retrieve an actual reference to the object. Returns null if the reference is not available or has not been populated yet.

Returns:
  an actual reference to the object.

### set

void set(T item)
Assign an object to the reference.

Parameters:
  `item` - the object to assign to the reference. May be `null`.